Page MenuHomePhabricator

NewUserMessage should handle Flow properly; affects gomwiki/Konkani Wikipedia and kabwiki
Open, Needs TriagePublic

Description

NewUserMessage tried to edit my user talk page, but not properly through Flow. So I got a notification, but no actual message:

https://gom.wikipedia.org/w/api.php?action=query&prop=revisions&titles=%E0%A4%89%E0%A4%AA%E0%A5%87%E0%A4%97%E0%A4%95%E0%A4%B0%E0%A5%8D%E0%A4%A4%E0%A5%8B%20%E0%A4%9A%E0%A4%B0%E0%A5%8D%E0%A4%9A%E0%A4%BE:Mattflaschen-WMF&rvlimit=50&rvprop=ids|flags|timestamp|comment|user|contentmodel|content

This particularly affects gomwiki/Konkani because Flow is enabled everywhere there, so user talk is Flow even without a Beta Feature being turned on (a user turning on the Beta Feature would turn it on after NewUserMessage was done).

It could affect other wikis, though (e.g. it would affect MediaWiki.org if NewUserMessage was enabled).

Details

Related Gerrit Patches:
mediawiki/extensions/NewUserMessage : masterUse MessagePoster for non-wikitext pages, fix two bugs
operations/mediawiki-config : masterDisable NewUserMessage gomwiki to prevent corruptions
operations/mediawiki-config : masterAdd logging channel for NewUserMessage

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 6 2016, 5:33 PM

This is from Extension:NewUserMessage, which does not handle Flow. We should take this as an opportunity to finally fix T123522: Implement a server-side mw.MessagePoster equivalent.

Mattflaschen-WMF renamed this task from 'New user message' bot on gomwiki/Konkani Wikipedia should handle Flow properly to NewUserMessage should handle Flow properly; affects gomwiki/Konkani Wikipedia .Apr 8 2016, 2:42 AM
Mattflaschen-WMF updated the task description. (Show Details)

We should also see if we can defend against other extensions doing this wrong (maybe fail instead of creating a blank page)

Change 309346 had a related patch set uploaded (by Mattflaschen):
Add logging channel for NewUserMessage

https://gerrit.wikimedia.org/r/309346

Mattflaschen-WMF renamed this task from NewUserMessage should handle Flow properly; affects gomwiki/Konkani Wikipedia to NewUserMessage should handle Flow properly; affects gomwiki/Konkani Wikipedia and kabwiki.Sep 9 2016, 7:32 PM

Change 310484 had a related patch set uploaded (by Mattflaschen):
Use MessagePoster for non-wikitext pages

https://gerrit.wikimedia.org/r/310484

Change 309346 merged by jenkins-bot:
Add logging channel for NewUserMessage

https://gerrit.wikimedia.org/r/309346

Mentioned in SAL (#wikimedia-operations) [2016-09-14T23:34:40Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Add logging channel for NewUserMessage (T131957) (duration: 00m 47s)

I didn't realize this was actually creating corrupt pages (I thought they were just blank), so we need to disable it. It's not doing anything useful anyway, but there is a chain of fixes for this (almost merged) that will allow us to do it properly.

Change 330601 had a related patch set uploaded (by Mattflaschen):
Disable NewUserMessage gomwiki to prevent corruptions

https://gerrit.wikimedia.org/r/330601

Change 330601 merged by jenkins-bot:
Disable NewUserMessage gomwiki to prevent corruptions

https://gerrit.wikimedia.org/r/330601

It would have been more appropriate to disable Flow, since NewUserMessage is an established extension.

Poke, this should be treated as high priority as it affect a site functionality.

Poke again, this should be treated as high priority as it affect a live Wikipedia.

Aklapper removed Mattflaschen-WMF as the assignee of this task.Apr 18 2018, 1:43 PM

Removing @Mattflaschen-WMF as task assignee to avoid cookie-licking.
(Matt, if you still like/plan to work on this, feel very welcome to re-claim via your personal Phab account - thanks!)

Restricted Application added a project: Growth-Team. · View Herald TranscriptAug 28 2018, 1:04 PM